#line 1 "C:/Users/Andrew/Desktop/Building an HDR Panoramic Camera Rig/code/hdr_clicker_Code/mikroC PRO for PIC32/hdr_clicker_main.c"
#line 1 "c:/users/andrew/desktop/building an hdr panoramic camera rig/code/hdr_clicker_code/mikroc pro for pic32/hdr_clicker_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Button_Round {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char Corner_Radius;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton_Round;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct Box {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TBox;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int Buttons_RoundCount;
 TButton_Round * const code *Buttons_Round;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int BoxesCount;
 TBox * const code *Boxes;
};

extern TScreen HdrScreen;
extern TButton_Round BracketButton;
extern TButton_Round HelpScreenButton;
extern TButton_Round ShootButton;
extern TButton_Round * const code Screen1_Buttons_Round[3];

extern TScreen HelpScreen;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label5;
extern TLabel Label6;
extern TLabel Label7;
extern TLabel Label8;
extern TLabel Label4;
extern TLabel Label9;
extern TLabel Label10;
extern TLabel Label11;
extern TLabel Label12;
extern TLabel Label13;
extern TButton BackButton;
extern TLabel Label14;
extern TLabel Label15;
extern TLabel Label16;
extern TBox BackButtonBox;
extern TLabel Label17;
extern TButton * const code Screen2_Buttons[1];
extern TLabel * const code Screen2_Labels[17];
extern TBox * const code Screen2_Boxes[1];




void BackButtonBoxOnClick();
void BackButtonOnClick();
void BracketButtonOnClick();
void HelpScreenButtonOnClick();
void ResetButtonOnClick();
void ShootButtonOnClick();
void ShutterBoxOnClick();




extern char BracketButton_Caption[];
extern char HelpScreenButton_Caption[];
extern char ShootButton_Caption[];
extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label5_Caption[];
extern char Label6_Caption[];
extern char Label7_Caption[];
extern char Label8_Caption[];
extern char Label4_Caption[];
extern char Label9_Caption[];
extern char Label10_Caption[];
extern char Label11_Caption[];
extern char Label12_Caption[];
extern char Label13_Caption[];
extern char BackButton_Caption[];
extern char Label14_Caption[];
extern char Label15_Caption[];
extern char Label16_Caption[];
extern char BackButtonBox_Caption[];
extern char Label17_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawRoundButton(TButton_Round *Around_button);
void DrawLabel(TLabel *ALabel);
void DrawBox(TBox *ABox);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 67 "C:/Users/Andrew/Desktop/Building an HDR Panoramic Camera Rig/code/hdr_clicker_Code/mikroC PRO for PIC32/hdr_clicker_main.c"
extern void ResetGuiElements();
extern void DialFullReset();
extern void DialShortReset();
extern void Check_Remote();

void main() {


 LATB.F0 = 0;
 TRISB.F0 = 1;


 LATB.F1 = 0;
 TRISB.F1 = 1;


 LATB.F2 = 0;
 TRISB.F2 = 1;


 LATB.F3 = 0;
 TRISB.F3 = 1;






 Start_TP();

 ResetGuiElements();


 DialFullReset();

 while (1) {
 Check_TP();

 }
}
