#line 1 "C:/Users/Andrew/Desktop/Building an HDR Panoramic Camera Rig/code/UpDown_Code/mikroC PRO for PIC32/UpDown_main.c"
#line 1 "c:/users/andrew/desktop/building an hdr panoramic camera rig/code/updown_code/mikroc pro for pic32/updown_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct Button_Round {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char Corner_Radius;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton_Round;

typedef struct CircleButton {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Radius;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCircleButton;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int Buttons_RoundCount;
 TButton_Round * const code *Buttons_Round;
 unsigned int CircleButtonsCount;
 TCircleButton * const code *CircleButtons;
};

extern TScreen Screen1;
extern TButton_Round ShutterFasterButton;
extern TButton_Round ShutterSlowerButton;
extern TButton_Round StopPlusButtonRound;
extern TButton_Round StopMinusButtonRound;
extern TButton_Round FullResetbutton;
extern TCircleButton ShutterButton;
extern TButton_Round * const code Screen1_Buttons_Round[5];
extern TCircleButton * const code Screen1_CircleButtons[1];




void FullResetbuttonOnClick();
void ShutterButtonOnClick();
void ShutterFasterButtonOnPress();
void ShutterSlowerButtonOnPress();
void StopMinusButtonRoundOnClick();
void StopPlusButtonRoundOnClick();




extern char ShutterFasterButton_Caption[];
extern char ShutterSlowerButton_Caption[];
extern char StopPlusButtonRound_Caption[];
extern char StopMinusButtonRound_Caption[];
extern char FullResetbutton_Caption[];
extern char ShutterButton_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawRoundButton(TButton_Round *Around_button);
void DrawCircleButton(TCircleButton *ACircle_button);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 61 "C:/Users/Andrew/Desktop/Building an HDR Panoramic Camera Rig/code/UpDown_Code/mikroC PRO for PIC32/UpDown_main.c"
void main() {


 LATB.F0 = 0;
 TRISB.F0 = 1;


 LATB.F1 = 0;
 TRISB.F1 = 1;


 LATB.F2 = 0;
 TRISB.F2 = 1;


 LATB.F3 = 0;
 TRISB.F3 = 1;

 Start_TP();

 while (1) {
 Check_TP();
 }
}
